Bug 205570 - mail/assp: cleanup
Summary: mail/assp: cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-12-24 11:57 UTC by Dmitry Marakasov
Modified: 2015-12-28 14:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rnejdl)
koobs: merge-quarterly?


Attachments
Patch (3.14 KB, patch)
2015-12-24 11:57 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-12-24 11:57:09 UTC
Created attachment 164590 [details]
Patch

- Add NO_ARCH
- Style nits
- Switch to options helpers
- Drop dirrm's from plist
- Handle links properly
- Switch to @postunexec
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-24 11:59:49 UTC
Reporter is Committer
Comment 2 rnejdl 2015-12-24 15:58:48 UTC
Thank you for getting this update!  There's a new version if we want to get that put out as well:

new available ASSP version 1.10.1(15022)

Rusty (former maintainer) Nejdl
Comment 3 Dmitry Marakasov freebsd_committer 2015-12-25 16:23:24 UTC
Is this an approval, you are you going to provide patch with update as well?

> Rusty (former maintainer) Nejdl

Whay to you mean by `former maintainer'?
Comment 4 rnejdl 2015-12-25 17:50:49 UTC
I gave up my maintainership of this port almost a year ago.  I don't mind helping out but I was not able to keep up with all the changes to the ports tree infrastructure that was going on (including this pile of changes). If you can commit this clean up I will see about updating the port to the latest in another bug report if that works for you.

Rusty
Comment 5 commit-hook freebsd_committer 2015-12-25 18:27:32 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Dec 25 18:27:25 UTC 2015
New revision: 404446
URL: https://svnweb.freebsd.org/changeset/ports/404446

Log:
  - Add NO_ARCH
  - Style nits
  - Switch to options helpers
  - Drop dirrm's from plist
  - Handle links properly
  - Switch to @postunexec

  PR:		205570
  Submitted by:	amdmi3
  Approved by:	rnejdl@ringofsaturn.com (maintainer)

Changes:
  head/mail/assp/Makefile
  head/mail/assp/pkg-plist
Comment 6 Dmitry Marakasov freebsd_committer 2015-12-25 18:28:01 UTC
(In reply to rnejdl from comment #4)

> I gave up my maintainership of this port almost a year ago.

Why are you still listed as MAINTAINER then?
Comment 7 rnejdl 2015-12-25 18:38:05 UTC
(In reply to Dmitry Marakasov from comment #6)
I can only guess that the port was never updated to show as owned by ports@ .  This wasn't the only one that wasn't updated either.

Rusty
Comment 8 Dmitry Marakasov freebsd_committer 2015-12-25 18:41:04 UTC
(In reply to rnejdl from comment #7)

> I can only guess that the port was never updated to show as owned by ports@
> .  This wasn't the only one that wasn't updated either.

Could you please list ports you no longer maintain so MAINTAINER field could be updated accordingly.
Comment 10 Dmitry Marakasov freebsd_committer 2015-12-25 19:44:46 UTC
(In reply to rnejdl from comment #9)

> https://www.freshports.org/search.
> php?stype=maintainer&method=match&query=rnejdl%40ringofsaturn.
> com&num=100&orderby=category&orderbyupdown=asc&search=Search

E.g. you're dropping maintainership of all your ports?
Comment 11 rnejdl 2015-12-25 21:15:50 UTC
Yes I have been a bad port maintainer and unable to keep up.  I'll still submit patches from time to time though.
Comment 12 commit-hook freebsd_committer 2015-12-25 23:19:54 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Dec 25 23:19:03 UTC 2015
New revision: 404485
URL: https://svnweb.freebsd.org/changeset/ports/404485

Log:
  - Reset maintainer by his own request

  PR:		205570

Changes:
  head/databases/py-apsw/Makefile
  head/games/megaglest/Makefile
  head/games/megaglest-data/Makefile
  head/graphics/showimage/Makefile
  head/mail/assp/Makefile
  head/mail/p5-Net-SenderBase/Makefile
  head/sysutils/knutclient-kde4/Makefile
  head/www/mozplugger/Makefile